Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class NodeLabel

    java.lang.Object
      com.nwoods.jgo.JGoObject
          com.nwoods.jgo.JGoText
              edu.stanford.smi.protegex.widget.graph.NodeLabel

All Implemented Interfaces:
  Serializable

    public class NodeLabel

extends com.nwoods.jgo.JGoText

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.nwoods.jgo.JGoText
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, Changed2DScale, ChangedAlignment, ChangedAutoResize, ChangedBetterPainting, ChangedBkColor, ChangedBold, ChangedClipping, ChangedEditable, ChangedEditOnSingleClick, ChangedFaceName, ChangedFontSize, ChangedItalic, ChangedMultiline, ChangedSelectBackground, ChangedStrikeThrough, ChangedText, ChangedTextColor, ChangedTransparent, ChangedUnderline, ChangedWrapping, ChangedWrappingWidth`

Fields inherited from class com.nwoods.jgo.JGoObject
`Bottom, BottomCenter, BottomLeft, BottomMiddle, BottomRight, Center, CenterLeft, CenterRight, Changed4ResizeHandles, ChangedBrush, ChangedDraggable, ChangedDragsNode, ChangedGeometry, ChangedGrabChildSelection, ChangedPen, ChangedResizable, ChangedSelectable, ChangedVisible, ChangedZOrder, LastChangedHint, Left, LeftCenter, NoHandle, NoSpot, NumReservedHandles, RepaintAll, Right, RightCenter, SideLeft, SideRight, Top, TopCenter, TopLeft, TopMiddle, TopRight`

Constructor Summary
`NodeLabel()`
`NodeLabel(String text)`

Method Summary
`void` | `doEndEdit()`
`void` | `doStartEdit(com.nwoods.jgo.JGoView view, Point vc)`
`int` | `getCustomWrapWidth()`
`void` | `paint(Graphics2D g, com.nwoods.jgo.JGoView view)`
`void` | `setCustomWrapWidth()`

Methods inherited from class com.nwoods.jgo.JGoText
`changeValue, copyNewValueForRedo, copyObject, doMouseClick, doMouseDblClick, expandRectByPenWidth, gainedSelection, geometryChange, getAlignment, getBkColor, getDefaultFontFaceName, getDefaultFontSize, getDefaultPaintGreekScale, getDefaultPaintNothingScale, getDefaultWrappingWidth, getFaceName, getFont, getFontSize, getLocation, getText, getTextColor, getTextFlags, getWrappingWidth, handleResize, is2DScale, isAutoResize, isBetterPainting, isBold, isClipping, isDefaultBetterPainting, isEditable, isEditOnSingleClick, isItalic, isMultiline, isSelectBackground, isStrikeThrough, isTransparent, isUnderline, isWrapping, lostSelection, ownerChange, paintGreek, set2DScale, setAlignment, setAutoResize, setBetterPainting, setBkColor, setBold, setClipping, setDefaultBetterPainting, setDefaultFontFaceName, setDefaultFontSize, setDefaultPaintGreekScale, setDefaultPaintNothingScale, setDefaultWrappingWidth, setEditable, setEditOnSingleClick, setFaceName, setFontSize, setItalic, setLocation, setMultiline, setSelectBackground, setSizeKeepingLocation, setStrikeThrough, setText, setTextColor, setTextFlags, setTransparent, setUnderline, setWrapping, setWrappingWidth, SVGReadAttributes, SVGReadObject, SVGWriteAttributes, SVGWriteObject`

Methods inherited from class com.nwoods.jgo.JGoObject
`computeBoundingRect, copyObjectDelayed, copyOldValueForUndo, doUncapturedMouseMove, foredate, geometryChangeChild, getBoundingRect, getDocument, getDraggingObject, getFlags, getHeight, getLayer, getLeft, getLocation, getNearestIntersectionPoint, getParent, getParentNode, getPartner, getSize, getSize, getSpotLocation, getSpotLocation, getToolTipText, getTop, getTopLeft, getTopLeft, getTopLevelObject, getView, getWidth, hideSelectionHandles, is4ResizeHandles, isAutoRescale, isBoundingRectInvalid, isChildOf, isDraggable, isDragsNode, isGrabChildSelection, isInitializing, isPointInObj, isResizable, isSelectable, isSkipsUndoManager, isSuspendChildUpdates, isSuspendUpdates, isTopLevel, isVisible, redirectSelection, set4ResizeHandles, setAutoRescale, setBoundingRect, setBoundingRect, setBoundingRect, setBoundingRectForce, setBoundingRectForce, setBoundingRectInvalid, setDraggable, setDragsNode, setFlags, setGrabChildSelection, setHeight, setInitializing, setLeft, setLocation, setLocationOffset, setLocationOffset, setParent, setPartner, setResizable, setSelectable, setSize, setSize, setSkipsUndoManager, setSpotLocation, setSpotLocation, setSpotLocation, setSpotLocationOffset, setSuspendChildUpdates, setSuspendUpdates, setTop, setTopLeft, setTopLeft, setVisible, setWidth, showSelectionHandles, spotOpposite, SVGUpdateReference, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeLabel

    public NodeLabel()

### NodeLabel

    public NodeLabel(String text)

Method Detail

### doStartEdit

    public void doStartEdit(com.nwoods.jgo.JGoView view,
                            Point vc)

  Overrides:
    `doStartEdit` in class `com.nwoods.jgo.JGoText`

### doEndEdit

    public void doEndEdit()

  Overrides:
    `doEndEdit` in class `com.nwoods.jgo.JGoText`

### setCustomWrapWidth

    public void setCustomWrapWidth()

### getCustomWrapWidth

    public int getCustomWrapWidth()

### paint

    public void paint(Graphics2D g,
                      com.nwoods.jgo.JGoView view)

  Overrides:
    `paint` in class `com.nwoods.jgo.JGoText`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request